package cn.hanghui.outapi.platform.tenant.service;


import cn.hanghui.outapi.platform.tenant.entity.config.device.template.DeviceTemplateDto;
import cn.hanghui.outapi.platform.tenant.entity.config.device.template.DeviceTemplateLessVo;
import cn.hanghui.outapi.platform.tenant.entity.config.device.template.DeviceTemplateSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.device.template.DeviceTemplateVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 * 设备 服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-29
 */
public interface DeviceTemplateService {
    Boolean edit(DeviceTemplateDto dto);
    List<DeviceTemplateLessVo> deviceTemplateList();
    IPage<DeviceTemplateVo> deviceTemplatePage(DeviceTemplateSearch dto);
    Boolean deviceTemplateDelete(Long deviceTemplateId);
    DeviceTemplateVo templateDetail(Long deviceTemplateId);
}
